Dynare 4.2 error

Hi,

I’m wondering if someone can help me. I’m trying to estimate a present value model as in the paper “Predictive Regressions: A Present-Value Approach” by Koijen and Binsbergen in Journal of Finance (2010) but I obtain the following message:
"??? Error using ==> union
Too many input arguments.

Error in ==> dynare_estimation_1 at 199
k2 = union(var_obs_index’,[dr.nstatic+1:dr.nstatic+dr.npred]’, ‘rows’);

Error in ==> dynare_estimation at 62
dynare_estimation_1(var_list,varargin{:});

Error in ==> PVmodel at 129
dynare_estimation(var_list_);

Error in ==> dynare at 132
evalin(‘base’,fname) ;"

The mod file works fine with Dynare 4.1.3 and older versions (I have the same problem with other mod files that also worked fine in previous versions). Can anyone help me figure out what is wrong (I’m attaching the data and mod file)?

Thank you in advance!

Best,
Joao
PVmodel_data.m (2.15 KB)
PVmodel.mod (1.18 KB)

Hi,
this is most probably a bug that has since been fixed. The newest Dynare unstable version runs again without problems.